summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/local/deploy-docs.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/contrib/local/deploy-docs.sh b/contrib/local/deploy-docs.sh
new file mode 100755
index 0000000..5e84431
--- /dev/null
+++ b/contrib/local/deploy-docs.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+set -e
+
+ME=`basename $0`
+DIR="$( cd "$( dirname "$0" )" && pwd )"
+CWD=`pwd`
+
+if [ ! -f "docs/html/index.html" ]
+then
+ echo "No documentation found in docs/html - run from build dir after make docs"
+ exit
+fi
+
+DOCS="${CWD}/docs/html"
+
+tempfoo=`basename $0`
+TMPDIR=`mktemp -d /tmp/${tempfoo}.XXXXXX` || exit 1
+cd ${TMPDIR}
+
+git clone -b gh-pages git@github.com:tklab-tud/uscxml.git
+rm -rf uscxml/*
+cp -R /Users/sradomski/Documents/TK/Code/uscxml/build/cli/docs/html/ ./uscxml/
+cd uscxml
+git add -A
+git commit -m "Updated documentation"
+git push